# Simple DICOM viewer.

## SYNOPSIS

    gdcmviewer [options] file-in

## DESCRIPTION

The gdcmviewer is a simple tool that show how to use vtkGDCMImageReader. The class that use gdcm to make a layer to VTK. gdcmviewer is basically only just a wrapper around GDCM.

This tool is meant for testing integration of GDCM in VTK. You should see it as a demo tool. It does compile with VTK ranging from 4.2 to 5.4, but only with VTK 5.2 (or above) can only play with the widgets (as described below).

## PARAMETERS

    file-in   DICOM input filename

## OPTIONS

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

## Typical usage

## Simple usage

For now gdcmviewer should be started from a command line prompt. The next argument should be the name of the DICOM file you wish to read. For instance:

     $ gdcmviewer -V 012345.002.050.dcm

gdcmviewer will try to read your file, and the print the vtk information associated with this file. Basically what kind of image you are looking at.

- ScalarType is the DICOM Real World Value type
- Dimensions is the dimension of the image
- Spacing is the spacing of the image
- NumberOfScalarComponents should be 1 for grayscale & PALETTE COLOR and 3 for RGB, YBR data.

## Wiki Link

The wiki page, will color pictures can be found at: http://sourceforge.net/apps/mediawiki/gdcm/index.php?title=Gdcmviewer

## SEE ALSO

gdcmdump(1), gdcmraw(1)

## COPYRIGHT

Copyright (c) 2006-2009 Mathieu Malaterre